#include <bits/stdc++.h>
#define int long long
using namespace std;

double ans;
int n, s;
vector<pair<double,int>> a;

signed main(){
	ios_base::sync_with_stdio(0);
	cout.tie(0);
	cin.tie(0);
	cin >> n;
	for(int i = 0; i < n; ++i){
		int e;
		double p;
		cin >>e>>p;
		p /= 100;
		a.push_back({p, e});
		s += e;
	}
	double preP = 0;
	int preA = 0;
	double tmpR = 0;
	sort(a.begin(), a.end());
	for(int i = 0; i < a.size(); ++i){
		double dP = a[i].first - preP;
		tmpR -= preA*preP;
		s -= preA;
		tmpR += dP*s;
		preP = a[i].first;
		preA = a[i].second;
		ans = max(ans, tmpR);
	}
	cout << setprecision(6) << fixed << ans;
}